Altium NEXUS Documentation

System Requirements for Altium NEXUS Server

Created: November 22, 2017 | Updated: July 13, 2020
All Contents

Parent page: Installing, Licensing & Managing the Altium NEXUS Server

Ensure that your computer/server meets the system requirements detailed below, prior to installing the Altium NEXUS Server.

Operating System Support

The Altium NEXUS Server can be installed on a PC running one of the following Operating Systems:

  • Windows Server 2016 Standard Edition (64-bit)
  • Windows Server 2012 R2 (64-bit)
  • Windows 10 (64-bit)
  • Windows 8.1 (64-bit)
  • Windows 8 (64-bit)

The Altium NEXUS Server cannot be installed on a PC running a 32-bit OS, nor a 64-bit OS that does not support Windows Authentication (Core, Home, Starter, and Base editions). The following is a summary of supported Operating Systems:

  • Officially Supported: Windows Server 2016 Standard Edition 64-bit (Recommended), Windows Server 2012 R2, 64-bit (Minimum).
  • Recommended only for Evaluation: Windows 10 64-bit, Windows 8.1 64-bit, Windows 8 64 bit - Ultimate or Professional versions in each case.
The Altium NEXUS Server relies on a number of Microsoft runtime components for successful operation and access. In some situations these may not be present on the target machine. If you receive an error message about a missing library (DLL) when you attempt to sign into your Altium NEXUS Server, it indicates that there are missing Microsoft runtime components. Use this link to download and install these missing components: http://www.microsoft.com/en-us/download/confirmation.aspx?id=29 

The following are the recommended system requirements to install and run the Altium NEXUS Server. Note that these recommendations are for 5 concurrent users.

  • OS: Windows Server 2016 Standard Edition (64-bit)
  • RAM: 16GB+
  • Processor: Intel® Xeon® processor or equivalent (4 or more cores)
  • Disk space: 200GB (SSD)

Minimum System Requirements

The following are the minimum system requirements to install and run the Altium NEXUS Server. Note that these recommendations are for 5 concurrent users.

  • OS: Windows Server 2012 R2 (64-bit)
  • RAM: 8GB+
  • Processor: Intel Core i3/i5 processor or equivalent (2 or more cores)
  • Disk space: 200GB

Altium NEXUS Requirements

To fully access and appreciate the features and technologies associated to, and installed with, the Altium NEXUS Server, requires the latest version of Altium NEXUS.

Installation & Other Software

Due to the observed unpredictable behavior of antivirus software, it is recommended to disable such software during the installation of the Altium NEXUS Server.

If the computer is also running Microsoft Exchange Server, you might receive an HTTP Error 503 error when you first attempt to log in. The installation of the Exchange Server can change the Internet Information Services (IIS) configuration in a way that conflicts with the Altium NEXUS Server. To resolve this, the following changes must be made to the applicationHost.config file:

<handlers accessPolicy="Read, Script">
...

<add name="kerbauth" image="C:\Program Files\Microsoft\Exchange Server\V15\Bin\kerbauth.dll" preCondition="bitness64" />
<add name="WSMan" image="C:\Windows\system32\wsmsvc.dll" preCondition="bitness64" />
<add name="exppw" image="C:\Program Files\Microsoft\Exchange Server\V15\ClientAccess\Owa\auth\exppw.dll" preCondition="bitness64" />
<add name="cafe_exppw" image="C:\Program Files\Microsoft\Exchange Server\V15\FrontEnd\HttpProxy\bin\exppw.dll"  preCondition="bitness64" />

...
</handlers>

For information about the ApplicationHost.config file, refer to this article. For information on editing the file, refer to this article.

Additional Software Installed or Configured

  • Internet Information Services (IIS). For correct operation, the Altium NEXUS Server requires, at minimum, version 8.0 (IIS 8.0) to be installed. Installation of the Altium NEXUS Server will simply install the version of IIS native to your operating system:
    • IIS 10.0 - Windows 10 (64-bit) and Windows Server 2016 Standard Edition (64-bit)
    • IIS 8.5 - Windows 8.1 (64-bit) and Windows Server 2012 R2 (64-bit)
    • IIS 8.0 - Windows 8 (64-bit)
  • Firebird 2.5 database engine (where the option to install using a Firebird database is chosen)
  • .NET Framework 4.5.2

Oracle Support

When using Altium NEXUS with Oracle as the backend database, the server that is integral to the deployed NEXUS solution supports the following versions of Oracle: 11G Express, 12.1c. Note that versions 18c and 19c are not currently supported.

Found an issue with this document? Highlight the area, then use Ctrl+Enter to report it.

Contact Us

Contact our corporate or local offices directly.

We're sorry to hear the article wasn't helpful to you.
Could you take a moment to tell us why?
200 characters remaining
You are reporting an issue with the following selected text
and/or image within the active document: